Subject: Re: cpu and partition info
From: "Bruce Dobrin" <[email-masked]>
To: "Robert Citek" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 26 Feb 2003 14:41:37 -0800

on older (NT?) os's,  there are 2 places which each have 1/2 of the info
needed to emulate the standard "hinv" format.  I don't remember when or
where the cutoff is,  it is so that all works the same on XP , 2k and NT and
with the rest of the "hinv" code ( I only sent a little as an example...)
----- Original Message -----
From: "Robert Citek" <[email-masked]>
To: "Bruce Dobrin" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, February 26, 2003 2:03 PM
Subject: Re: cpu and partition info

>
> Thanks, Bruce,
>
> At 12:02 PM 2/26/2003 -0800, Bruce Dobrin wrote:
> >It took me about an hour to change/add enough to the perl GPL "hinv" port
to
> >get it to work with cygwin ( hinv v 1.4pre2).
>
> I took your code and modified it.  Works great under Cygwin.  See below.
>
> I'm not quite sure what this code does:
>   $name=`cat "$cpu/VendorIdentifier" << cat "$cpu/Identifier"` ;
>
> Regards,
> - Robert
>
> -----
>
> #!/usr/bin/perl -w
>
> use strict;
>
> my ($info, $cpu, $speed, $name);
>
> $info="/proc/registry/HKEY_LOCAL_MACHINE/HARDWARE" .
>       "/DESCRIPTION/System/CentralProcessor";
>
> for $cpu (<$info/*>) {
>   $speed=unpack ("l", `cat $cpu/~MHz`) if -e "$cpu/~Mhz" ;
>   if (-e "$cpu/ProcessorNameString") {
>     $name=`cat $cpu/ProcessorNameString`;
>   } else {
>     $name=`cat "$cpu/VendorIdentifier" << cat "$cpu/Identifier"` ;
>   }
>   $cpu =~ s#^.*/## ;
>   print "$cpu: $speed MHz : $name\n";
> }
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/